Ubuntu

ImportError: No module named Crypto.Util.randpool

Reported by Martin Pitt on 2007-01-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-crypto (Ubuntu)
High
Matthias Klose

Bug Description

$ python
Python 2.5 (release25-maint, Jan 15 2007, 19:40:39)
[GCC 4.1.2 20070106 (prerelease) (Ubuntu 4.1.1-21ubuntu7)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import paramiko
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/var/lib/python-support/python2.5/paramiko/__init__.py", line 69, in <module>
    from transport import randpool, SecurityOptions, Transport
  File "/var/lib/python-support/python2.5/paramiko/transport.py", line 32, in <module>
    from paramiko import util
  File "/var/lib/python-support/python2.5/paramiko/util.py", line 31, in <module>
    from paramiko.common import *
  File "/var/lib/python-support/python2.5/paramiko/common.py", line 99, in <module>
    from Crypto.Util.randpool import PersistentRandomPool, RandomPool
ImportError: No module named Crypto.Util.randpool

This breaks bzr push. The latest Debian version has the same problem, so the sync request will not fix it.

Martin Pitt (pitti) on 2007-01-16
Changed in paramiko:
importance: Undecided → High
Martin Pitt (pitti) wrote :

The problem was that python-crypto was only pycentral'ized for 2.4:

$ locate randpool
/usr/lib/python2.4/site-packages/Crypto/Util/randpool.py
/usr/lib/python2.4/site-packages/Crypto/Util/randpool.pyc
/usr/share/pycentral/python-crypto/site-packages/Crypto/Util/randpool.py

dpkg-reconfigure python-crypto fixed that, now I have 2.5 symlinks as well.

This system was installed as herd-2, i. e. with python2.4 still being the default.

Changed in paramiko:
status: Unconfirmed → Confirmed
Martin Pitt (pitti) wrote :

Could be a generic python-central problem, too.

Changed in python-crypto:
assignee: nobody → doko
Matthias Klose (doko) wrote :

- http://packages.ubuntu.com/edgy/i386/python-crypto/filelist show support for both versions
- python-crypto_2.0.1+dfsg1-1.2build1_i386.deb show the Python-Version for 2.4 and 2.5

Closing this report now. Not reported for releases after edgy

Changed in python-crypto:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers